Subject: Re: bug#74435: Scrollbar width is not respected on Windows

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Nov 2024 12:48:13 +0200

> From: Johann Höchtl <[email-masked]>
> Date: Tue, 19 Nov 2024 13:01:44 +0100
> 
> On Emacs Windows
> 
> It seems like the observation of
> https://lists.libreplanet.org/archive/html/help-gnu-emacs/2023-11/msg00109.html
> has never been reported as a bug.

Because, as I responded there, I couldn't reproduce the problem.

> This issue is real. When I spilt a Windows with C-x 3 and save the desktop and re-open the desktop, the
> scrollbar separating the two windows is broader than it used to be before saving.

I still cannot reproduce this.  maybe this has something to do with
the display settings?  Like HiDPI, perhaps?

> When I manually open the .emacs.desktop file and delete the setq scroll-bar-width and reload the
> desktop, the width is back to normal.

What is the value of scroll-bar-width recorded in the desktop file,
and what does the below yield if you type it after "C-x 3" before
saving desktop?

  M-: (frame-parameter nil 'scroll-bar-width) RET

Adding Cecilio, in case he has an idea why this could happen, or can
suggest a way to debug this.